Server - Issues #3087

sGop9 allows DUT to reject a configuration with a GSEControl missing the datSet attribute
07/23/2021 11:18 AM - Bruce Muschlitz

Status: Closed Due date:

Priority: Normal

Assignee:

Category:

Target version:

Discuss in Upcoming No Updated Test Server Ed2.0 TP2.0.6 and Server Ed2.1

Meeting: Document: TP1.2

Clause Reference: 61850-6(Ed2.1 conso): 9.3.10 AND Test Case ID: sGop9
61850-7-2(Ed2.1 conso): 18.2.1

61850 Standard: 6, 7-2 Closed Reason: Test Procedure Update

Triggering Tissue: https://iec61850.tissue-db.com/tissue/16 | Triggering Tissue 2:
79

Final Decision: Triggering Tissue 3:

Initial Test Ed2Amd1 TP1.1 and Ed2 TP2.0.5

Document:

Description

61850-6 Ed2 and Ed2.1 both explain for GSEControl: "The datSet attribute must contain a valid data set reference, or be missing
completely”
61850-7-2 Ed2.1 Table 87 explains (but not clearly) that this is the method used to inhibit publishing of a specific GOOSE.

sGop9 Step 1 expected result allows "refuses the entire configuration" which will not allow a publisher to disable any GOOSE upon
startup

Another related issue is that there is no GOOSE publisher test to verify that the GOOSE is disabled if the Communication section is
missing a GSE element for the GOOSE Control Block name

History

#1 - 07/27/2021 06:39 AM - Richard Schimmel

"or missing completely" means that datset=""is not allowed in SCL. Just the datset attribute shall be missing. Not the complete GSEControl.

About missing communication section, this is on purpose when the datset is not configured. | agree when a datset is configured also GSE shall be
present.

#2 - 09/21/2021 09:53 AM - Richard Schimmel

TPWG: When an IED has GSEsetting name=fix the ICT will accept GOCB with missing dataset. When IED has GSEsetting name=conf the IED/ICT
may refuse the complete configuration with a GOCB without dataset. In that case it's expected that the SCT tool removes the not-used GOCBs. when
necessary the SCT can add a new GoCB again.

It's not clearly defined in part 6 if such configuration refusal is allowed or not.

#3 - 09/21/2021 11:09 AM - Thierry Dufaure

As mentioned by Richard, in case of fix property, the SCT can not add or remove the control block, while in case of conf, the SCT is responsible for
adding / removing the cntrol block.

According to 8-1, the absence of the GSE resp. SMV communication element from the <ConnectedAP > indicate the ICT that the control block is
disabled within the SCD.

fix control blocks are the only control block where an empty datSet attribute makes sense. Part 6 considers complete / consistent configuration - those
are captured in the SCT conformance tests. Removing a ressource is the way to deal with flexible (conf) control blocks when ther are no longer used,
and not half / inconsistent configurations.

The linked tissue has nothing to do with the discussed issue of missing datSet attribute in the control block.

#4 - 09/22/2021 08:31 AM - John Bruder

Based on Richard and Thierry's explanation, | think step 1 should be clarified that the DUT may refuse the configuration when datSet is missing
ONLY if GSESettings cbName="Conf". If coName="fix", then basically the DUT created the extra control blocks (not the SCT). It would be ridiculous
for it to refuse a configuration that it caused. | found at least 2 cases like this in the 2019 IOP scd files.

#5 - 09/22/2021 12:43 PM - Bruce Muschlitz
This topic is straying from the original purpose.

This has absolutely nothing to do with what people think is ridiculous or whether there are other ways disable GOOSE transmission. It only concerns
what is specified in the standards.

sGop9 clearly says "DUT is configured with a GSEControl element without the datSet" with one possible conformant response "DUT refuses the
entire configuration".

But 61850-7-2:2010+AMD1:2020 Table 87 says (approximately) "if GOCB.DatSet is NULL then SetGoCBValues(GoEna,true) shall fail" and "the
value of GoEna at IED startup depends on the IED

configuration." To me, this appears to be (at least one) proscribed method to inhibit GOOSE publication.

| interpret this as "if GSEControl@datSet is missing then GoEna at IED startup is false".

But sGop9 allows the publisher to refuser the configuration and not just "use the configuration but do not publish that specific GOOSE".

My suggestion is to change expected result sGop9 from "DUT (including IED tool) either refuses the entire configuration or it ignores parts of the new
configuration or it accepts the

configuration" to "DUT (including IED tool) ignores parts of the new configuration or it accepts the configuration”

#6 - 10/19/2021 08:35 AM - Bruce Muschlitz

- Status changed from New to In Progress

TPWG meeting 20211019 conclusion: If GCBName=fix then missing datSet shall not cause SCD file to be refused. If GCBName=conf then device
MIGHT refuse SCD file is datSet is missing.
Richard will propose a change to the test procedures.

#7 - 11/01/2021 07:26 AM - Richard Schimmel
- File Solution to redmine sGop9 3087.docx added
- Status changed from In Progress to Resolved

- Initial Test Document set to EA2Amd1 TP1.1 and Ed2 TP2.0.5

Updated sGop9 expected result step 1:

Step 1: DUT or ICT:

- refuses the entire configuration (allowed when none of the SCL Services GSESettings is Fix) or

- it ignores parts of the new configuration (allowed when none of the SCL Services GSESettings is Fix) or
- it accepts the configuration (required when one of the SCL Services GSESettings is Fix)

(see attached file)

#8 - 06/02/2022 02:48 PM - Bruce Muschlitz

- Status changed from Resolved to Closed

- Discuss in Upcoming Meeting changed from Yes to No

- Updated Test Document set to Server Ed2.0 TP2.0.6 and Server Ed2.1 TP1.2
- Closed Reason Test Procedure Update added

- Closed Reason deleted (--Not Set---)

Files

Solution to redmine sGop9 3087.docx 18.1 KB 11/01/2021 Richard Schimmel
